optiune = x_choose(['sin(x)';'exp(x)';'ln(|x|)';'th(x)';'Runge: 1/(1+x^2)';'|x|';'sqrt(|x|)'],['Program de demonstratie pentru';' interpolarea polinomiala']);

if (optiune ~= 0) then

    [li, lf, gr] = getP();

    if (li==[] & lf==[] & gr==[]) then
        exec('functii/interp.sci');
    else
        [eps, matU] = interpolareU(optiune, li, lf, gr);
        [eps, matC] = interpolareC(optiune, li, lf, gr);

        // afisare grafice 
        xname('Functia originala si functia interpolata pe retea uniforma');
        xtitle('Functia originala si functia interpolata pe retea uniforma','x','F(x)');
        xgrid();
        plot2d([matU(1, :)'], [matU(2:3, :)'], [1 2 ], "121", 'Functia originala@Interpolare polinomiala uniforma');
        wait2close();

        //xclear();
        xname('Functia originala si functia interpolata Cebasev');
        xtitle('Functia originala si functia interpolata Cevasev','x','F(x)');
        plot2d([matU(1, :)'], [matU(2:2, :)' matC(3,:)'], [1 5], "121", 'Functia originala@Interpolare polinomiala Cebasev');
        xgrid();
        wait2close();

        //xclear();
        xname('Functia originala si functiile interpolate polinomial');
        xtitle('Functia originala si functiile interpolate polinomial','x','F(x)');
        plot2d([matU(1, :)'], [matU(2:3, :)' matC(3,:)'], [1 2 5], "121", 'Functia originala@Interpolare polinomiala uniforma@Interpolare polinomiala Cebasev');
        xgrid();
        wait2close();
    end;
else
    exec('mainL06.sci');
end
